Package com.collibra.dgc.core.api.dto

# Class CursorPagedRequest

Object
PagedRequest
CursorPagedRequest

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FindAssetsRequest`, `FindAttributesRequest`, `FindCommunitiesRequest`, `FindComplexRelationsRequest`, `FindDomainsRequest`, `FindRelationsRequest`

public class CursorPagedRequest extends PagedRequest implements Serializable
Request that supports cursor paging parameter.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `CursorPagedRequest()`
  `protected`
  `CursorPagedRequest(String cursor, int offset, int limit)`
  `protected`
  `CursorPagedRequest(String cursor, int offset, int limit, int countLimit)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `getCountLimit()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  use cursor pagination
  `String`
  `getCursor()`
  Cursor for the current page of results.
  `int`
  `getOffset()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  use cursor pagination
  `int`
  `hashCode()`
  `void`
  `setCountLimit(int countLimit)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  use cursor pagination
  `void`
  `setCursor(String cursor)`
  Cursor for the current page of results.
  `void`
  `setOffset(int offset)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  use cursor pagination
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getLimit, isPagingActive, setLimit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CursorPagedRequest

    protected CursorPagedRequest(String cursor, int offset, int limit)

  - ### CursorPagedRequest

    protected CursorPagedRequest(String cursor, int offset, int limit, int countLimit)

  - ### CursorPagedRequest

    public CursorPagedRequest()

- ## Method Details

  - ### getOffset

    @Deprecated(forRemoval=true) public int getOffset()
    Deprecated, for removal: This API element is subject to removal in a future version.
    use cursor pagination
    Description copied from class: `PagedRequest`
    The first result to retrieve. If not set (offset = `0`), results will be retrieved starting from row `0`.
    Overrides:
      `getOffset` in class `PagedRequest`

  - ### setOffset

    @Deprecated(forRemoval=true) public void setOffset(int offset)
    Deprecated, for removal: This API element is subject to removal in a future version.
    use cursor pagination
    Description copied from class: `PagedRequest`
    The first result to retrieve. If not set (offset = `0`), results will be retrieved starting from row `0`.
    Overrides:
      `setOffset` in class `PagedRequest`

  - ### getCountLimit

    @Deprecated(forRemoval=true) public int getCountLimit()
    Deprecated, for removal: This API element is subject to removal in a future version.
    use cursor pagination
    Description copied from class: `PagedRequest`
    Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
    Overrides:
      `getCountLimit` in class `PagedRequest`

  - ### setCountLimit

    @Deprecated(forRemoval=true) public void setCountLimit(int countLimit)
    Deprecated, for removal: This API element is subject to removal in a future version.
    use cursor pagination
    Description copied from class: `PagedRequest`
    Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
    Overrides:
      `setCountLimit` in class `PagedRequest`

  - ### getCursor

    public String getCursor()
    Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value. For the next pages, the value must be taken from the response (`nextCursor` property).

  - ### setCursor

    public void setCursor(String cursor)
    Cursor for the current page of results. To retrieve the first page with cursor pagination you need to pass this parameter with an empty value. For the next pages, the value must be taken from the response (`nextCursor` property).

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`